WordPress’ minimum-supported version is still PHP 5.2 (gasp!) but that doesn’t mean you should let that hold you back from leveraging modern PHP features in your plugins and themes!

In this talk, we’ll take a deep dive into ways you can start leveraging modern PHP features today to bring new life to that old plugin or theme. We’ll cover how to code partial plugin activation for old versions of PHP, use autoloaders and namespaces, setup group aliasing, use return type declarations, leverage traits, and much more.

Presentation Slides »

See the full highlights at WordPress.TV.